<template>
  <Navbar v-if="exercise"  @toggle-sidebar="toggleSidebar" :exercise="exercise"></Navbar>
  <div v-show="showSidebar">
    <Sidebar @toggle-sidebar="toggleSidebar"></Sidebar>
  </div>
  <ExerciseLayout v-if="exercise" :exercise="exercise"/>
</template>

<script>

import ExerciseLayout from "./components/ExerciseLayout";
import Navbar from "./components/Navbar";
import {computed, onMounted, onUpdated, provide, ref, watch} from "vue";
import useExercise from "./composables/useExercise";
import Sidebar from "./components/Sidebar";
export default {
  name: 'App',
  components: {
    ExerciseLayout,
    Navbar,
    Sidebar
  },
  setup() {
    const showSidebar = ref(false)
    const isHelpMode = ref(true)

    const { exercise, chosenExercise, error, getExercise } = useExercise();

    const switchExercise = (id) => {
      chosenExercise.value = id
      getExercise()
      toggleSidebar()
    }

    const toggleSidebar = () => {
      showSidebar.value = !showSidebar.value
    }

    provide('switchExercise', switchExercise)
    provide('isHelpMode', isHelpMode)

    return {
      exercise,
      showSidebar,
      toggleSidebar
    }
  }
}
</script>

<style lang="scss">

</style>
